Bug 1799 - [UPDATE REQUEST] Apache, apache-mod_perl and apr-utils
: [UPDATE REQUEST] Apache, apache-mod_perl and apr-utils
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-20 15:37 MSK by Denis Silakov
Modified: 2013-03-22 12:43 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
dmitry.romashkin: secteam_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-03-20 15:37:17 MSK
We have a user report (and I can confirm this) that currently apache with installed mod_perl fails to start:

http://forum.rosalab.ru/viewtopic.php?f=39&t=1790&p=14564

To fix this, we need to update both apache and mod_perl, and it makes sense to update apr-utils with them.
Comment 1 Denis Silakov 2013-03-20 15:42:10 MSK
Advisory:

- apache was updated to 2.4.3
- mod_perl was updated to httpd24 branch from upstream
- apr-utils were updated to 1.5.1

Detailed changelogs
- for apache - http://www.apache.org/dist/httpd/CHANGES_2.4.3 (a lot of fixes including two security ones)
- for apr-utils - http://www.apache.org/dist/apr/CHANGES-APR-UTIL-1.5 (primarily some fixes and improvements concerning cryptography).
- the main change for mod_perl is that now it can work with apache 2.4 without additional patches.

Build lists:
(apache-mod_perl)
https://abf.rosalinux.ru/build_lists/1025918
https://abf.rosalinux.ru/build_lists/1025919

(apr-utils)
https://abf.rosalinux.ru/build_lists/1025753
https://abf.rosalinux.ru/build_lists/1025752

(apache)
https://abf.rosalinux.ru/build_lists/1025757
https://abf.rosalinux.ru/build_lists/1025750
Comment 2 Alexander Petryakov 2013-03-21 02:40:35 MSK
apache-mod_perl-2.0.7-2.svn1458708.1
apr-util-1.5.1-3
apache-2.4.3-0.2

************** Advisory **************
- apache was updated to 2.4.3
- mod_perl was updated to httpd24 branch from upstream
- apr-utils were updated to 1.5.1
**************************************
QA Verified